<?xml version="1.0" encoding="UTF-8"?>
<jasperReport xmlns="http://jasperreports.sourceforge.net/jasperreports" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://jasperreports.sourceforge.net/jasperreports http://jasperreports.sourceforge.net/xsd/jasperreport.xsd" name="relatorioAvaliacaoAtendimentoPorUsuarioAgrupadoEmpresa" language="groovy" pageWidth="595" pageHeight="842" columnWidth="555" leftMargin="20" rightMargin="20" topMargin="20" bottomMargin="20" uuid="8f3b720b-0d13-44b7-b458-6ef9c2a37583">
	<property name="ireport.zoom" value="1.0"/>
	<property name="ireport.x" value="0"/>
	<property name="ireport.y" value="0"/>
	<parameter name="dataInicialsql" class="java.lang.String"/>
	<parameter name="tituloRelatorio" class="java.lang.String"/>
	<parameter name="dataFinal" class="java.lang.String">
		<defaultValueExpression><![CDATA[]]></defaultValueExpression>
	</parameter>
	<parameter name="dataFinalsql" class="java.lang.String"/>
	<parameter name="HABILITAR_DATA" class="java.lang.String" isForPrompting="false">
		<defaultValueExpression><![CDATA["S"]]></defaultValueExpression>
	</parameter>
	<parameter name="empresaDescricao" class="java.lang.String"/>
	<parameter name="logo" class="java.lang.Object"/>
	<parameter name="dataInicial" class="java.lang.String">
		<defaultValueExpression><![CDATA[]]></defaultValueExpression>
	</parameter>
	<parameter name="SUBREPORT_DIR" class="java.lang.String" isForPrompting="false">
		<defaultValueExpression><![CDATA["c:\\Desenv\\Workspace\\nepalign\\src\\relatorios\\"]]></defaultValueExpression>
	</parameter>
	<parameter name="quantidadeTotalVendas" class="java.lang.Double"/>
	<parameter name="quantidadeTotalAvaliacoes" class="java.lang.Double"/>
	<queryString>
		<![CDATA[select concat(u.idusuario,' - ',u.nome) as 'Caixa/Crediarista' ,
p.numeroControle,concat(ven.codigoVendedorCache,' - ',ven.nome) as Vendedor,sum(if(av.nota is null,0,av.nota)) as nota,
e.idEmpresaFisica,ven.codigoVendedorCache,u.idUsuario,
concat(if(length(e.idEmpresaFisica)=1,'F0','F'),e.idempresafisica,' - ',e.razaoSocial) as empresaDescricao,
count(ven.idVendedor) as quantidadeVendas,sum(if(av.nota is null,0,1)) as quantidadeAvaliacoes
from avaliacaoatendimento av
inner join pedidovenda p on p.idpedidovenda = av.idpedidovenda
inner join vendedor ven on ven.idvendedor = p.idvendedor
inner join usuario u on u.idUsuario = av.idusuario
inner join empresafisica e on e.idempresafisica = p.idempresafisica
left outer join duplicata d on d.idpedidovenda = p.idpedidovenda
where p.datavenda >= '2016-01-27 00:00:00'
and   p.datavenda <= '2016-01-29 23:59:59'
and   e.idempresaFisica in (9)
group by u.idusuario
order by e.idEmpresaFisica]]>
	</queryString>
	<field name="Caixa/Crediarista" class="java.lang.String"/>
	<field name="numeroControle" class="java.lang.String">
		<fieldDescription><![CDATA[numeroControle:Número do Controle]]></fieldDescription>
	</field>
	<field name="Vendedor" class="java.lang.String"/>
	<field name="nota" class="java.lang.Double">
		<fieldDescription><![CDATA[nota:Nota]]></fieldDescription>
	</field>
	<field name="idEmpresaFisica" class="java.lang.Integer">
		<fieldDescription><![CDATA[codigo:Código]]></fieldDescription>
	</field>
	<field name="codigoVendedorCache" class="java.lang.Integer">
		<fieldDescription><![CDATA[codigoVendedorCache:Código do Vendedor Cache]]></fieldDescription>
	</field>
	<field name="idUsuario" class="java.lang.Integer">
		<fieldDescription><![CDATA[id:Codigo]]></fieldDescription>
	</field>
	<field name="empresaDescricao" class="java.lang.String"/>
	<field name="quantidadeVendas" class="java.lang.Long"/>
	<field name="quantidadeAvaliacoes" class="java.math.BigDecimal"/>
	<variable name="media" class="java.lang.Double" resetType="Group" resetGroup="usuario">
		<variableExpression><![CDATA[$F{nota}/$F{quantidadeAvaliacoes}.doubleValue()]]></variableExpression>
	</variable>
	<group name="empresa">
		<groupExpression><![CDATA[$F{idEmpresaFisica}]]></groupExpression>
		<groupHeader>
			<band height="26">
				<rectangle>
					<reportElement uuid="97579f20-a1cd-4f6b-b540-5a1608032543" x="0" y="0" width="555" height="20" backcolor="#999999"/>
				</rectangle>
				<textField>
					<reportElement uuid="941d079a-c79e-4298-bfaa-ca926f252403" x="0" y="0" width="555" height="20"/>
					<textElement>
						<font size="14" isBold="true"/>
					</textElement>
					<textFieldExpression><![CDATA[$F{empresaDescricao}]]></textFieldExpression>
				</textField>
			</band>
		</groupHeader>
	</group>
	<group name="usuario">
		<groupExpression><![CDATA[$F{idUsuario}]]></groupExpression>
		<groupHeader>
			<band height="20">
				<rectangle>
					<reportElement uuid="7b6edbae-eb82-46fe-9724-211a9aecdb0b" x="0" y="0" width="555" height="20"/>
				</rectangle>
				<textField>
					<reportElement uuid="6f3842a6-54b4-4a0e-816a-0a1853740d40" x="1" y="0" width="554" height="20"/>
					<textElement/>
					<textFieldExpression><![CDATA[$F{Caixa/Crediarista}]]></textFieldExpression>
				</textField>
			</band>
		</groupHeader>
		<groupFooter>
			<band height="26">
				<rectangle>
					<reportElement uuid="739a1476-15c2-4c37-807f-49ac236b7b80" positionType="Float" x="0" y="1" width="555" height="13"/>
				</rectangle>
				<staticText>
					<reportElement uuid="0ee61f67-fdf7-4a65-a1c4-22042b959eab" x="0" y="1" width="78" height="13"/>
					<textElement textAlignment="Right"/>
					<text><![CDATA[Qnt. de Vendas:]]></text>
				</staticText>
				<textField pattern="#,##0.00">
					<reportElement uuid="156fe3d8-89ad-40a9-a614-512c378651fa" x="412" y="1" width="39" height="13"/>
					<textElement textAlignment="Left"/>
					<textFieldExpression><![CDATA[$V{media}]]></textFieldExpression>
				</textField>
				<staticText>
					<reportElement uuid="2f000ebd-8a49-46da-a414-96455f9364c2" x="105" y="1" width="100" height="13"/>
					<textElement textAlignment="Right"/>
					<text><![CDATA[Qnt. de Avaliações:]]></text>
				</staticText>
				<textField>
					<reportElement uuid="5117487e-0e6c-4313-9d9b-f76bc00203bb" x="207" y="1" width="39" height="13"/>
					<textElement textAlignment="Left"/>
					<textFieldExpression><![CDATA[$F{quantidadeAvaliacoes}]]></textFieldExpression>
				</textField>
				<staticText>
					<reportElement uuid="94315f46-5a44-49ec-8839-0ec2ecc463a8" x="363" y="1" width="49" height="13"/>
					<textElement textAlignment="Right"/>
					<text><![CDATA[Media:]]></text>
				</staticText>
				<textField>
					<reportElement uuid="df872b85-7ada-4dfd-aa18-c9186a2e5b45" x="78" y="1" width="24" height="13"/>
					<textElement textAlignment="Left"/>
					<textFieldExpression><![CDATA[$F{quantidadeVendas}]]></textFieldExpression>
				</textField>
			</band>
		</groupFooter>
	</group>
	<title>
		<band height="56" splitType="Stretch">
			<subreport>
				<reportElement uuid="40cf36d5-da1d-4c29-8cb5-4164e2c7879b" x="0" y="0" width="555" height="56"/>
				<subreportParameter name="SUBREPORT_DIR">
					<subreportParameterExpression><![CDATA[$P{SUBREPORT_DIR}]]></subreportParameterExpression>
				</subreportParameter>
				<subreportParameter name="logo">
					<subreportParameterExpression><![CDATA[$P{logo}]]></subreportParameterExpression>
				</subreportParameter>
				<subreportParameter name="dataFinal">
					<subreportParameterExpression><![CDATA[$P{dataFinal}]]></subreportParameterExpression>
				</subreportParameter>
				<subreportParameter name="dataInicialsql">
					<subreportParameterExpression><![CDATA[$P{dataInicialsql}]]></subreportParameterExpression>
				</subreportParameter>
				<subreportParameter name="empresaDescricao">
					<subreportParameterExpression><![CDATA[$P{empresaDescricao}]]></subreportParameterExpression>
				</subreportParameter>
				<subreportParameter name="HABILITAR_DATA">
					<subreportParameterExpression><![CDATA[$P{HABILITAR_DATA}]]></subreportParameterExpression>
				</subreportParameter>
				<subreportParameter name="tituloRelatorio">
					<subreportParameterExpression><![CDATA[$P{tituloRelatorio}]]></subreportParameterExpression>
				</subreportParameter>
				<subreportParameter name="quantidadeTotalVendas">
					<subreportParameterExpression><![CDATA[$P{quantidadeTotalVendas}]]></subreportParameterExpression>
				</subreportParameter>
				<subreportParameter name="dataInicial">
					<subreportParameterExpression><![CDATA[$P{dataInicial}]]></subreportParameterExpression>
				</subreportParameter>
				<subreportParameter name="quantidadeTotalAvaliacoes">
					<subreportParameterExpression><![CDATA[$P{quantidadeTotalAvaliacoes}]]></subreportParameterExpression>
				</subreportParameter>
				<subreportParameter name="dataFinalsql">
					<subreportParameterExpression><![CDATA[$P{dataFinalsql}]]></subreportParameterExpression>
				</subreportParameter>
				<connectionExpression><![CDATA[$P{REPORT_CONNECTION}]]></connectionExpression>
				<subreportExpression><![CDATA[$P{SUBREPORT_DIR} + "dsvCabecalhoRetrato.jasper"]]></subreportExpression>
			</subreport>
		</band>
	</title>
	<columnHeader>
		<band height="20" splitType="Stretch">
			<textField pattern="###0">
				<reportElement uuid="27196eb9-abc5-4be8-bd3e-08c756ce2a6c" x="82" y="0" width="35" height="20"/>
				<textElement/>
				<textFieldExpression><![CDATA[$P{quantidadeTotalVendas}]]></textFieldExpression>
			</textField>
			<staticText>
				<reportElement uuid="f0e856fd-b83e-4c39-a5ec-b8b3d2e2cc66" x="117" y="0" width="100" height="20"/>
				<textElement/>
				<text><![CDATA[Totais de Avaliação:]]></text>
			</staticText>
			<textField pattern="###0">
				<reportElement uuid="9eaec38e-bca4-4d7e-8f5d-3c2db9b75023" x="217" y="0" width="25" height="20"/>
				<textElement/>
				<textFieldExpression><![CDATA[$P{quantidadeTotalAvaliacoes}]]></textFieldExpression>
			</textField>
			<staticText>
				<reportElement uuid="23bc1b17-f35f-4231-ba66-9cece9f790bb" x="0" y="0" width="82" height="20"/>
				<textElement/>
				<text><![CDATA[Total de Vendas:]]></text>
			</staticText>
		</band>
	</columnHeader>
	<detail>
		<band height="30" splitType="Stretch">
			<subreport>
				<reportElement uuid="2956e339-3e5b-465a-b846-fa25b14edcd2" x="0" y="0" width="555" height="30"/>
				<subreportParameter name="idUsuario">
					<subreportParameterExpression><![CDATA[$F{idUsuario}]]></subreportParameterExpression>
				</subreportParameter>
				<subreportParameter name="dataFinalsql">
					<subreportParameterExpression><![CDATA[$P{dataFinalsql}]]></subreportParameterExpression>
				</subreportParameter>
				<subreportParameter name="dataInicialsql">
					<subreportParameterExpression><![CDATA[$P{dataInicialsql}]]></subreportParameterExpression>
				</subreportParameter>
				<connectionExpression><![CDATA[$P{REPORT_CONNECTION}]]></connectionExpression>
				<subreportExpression><![CDATA[$P{SUBREPORT_DIR} + "relatorioAvaliacaoAtendimentoPorUsuarioSubUsuario.jasper"]]></subreportExpression>
			</subreport>
		</band>
	</detail>
	<pageFooter>
		<band height="20" splitType="Stretch">
			<textField evaluationTime="Report">
				<reportElement uuid="7d645e78-892c-4e29-9821-a77d0b4b5290" x="517" y="0" width="40" height="20"/>
				<textElement/>
				<textFieldExpression><![CDATA[" " + $V{PAGE_NUMBER}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement uuid="5673569e-3969-44ae-948d-04904ef35eed" x="437" y="0" width="80" height="20"/>
				<textElement textAlignment="Right"/>
				<textFieldExpression><![CDATA["Página "+$V{PAGE_NUMBER}+" de"]]></textFieldExpression>
			</textField>
		</band>
	</pageFooter>
</jasperReport>
